install-from-source refers to one method of installing software packages on Ubuntu without using the Software Center. It is generally not the recommended way of installing software.

learn more… | top users | synonyms

1
vote
1answer
1k views

GitLab Omnibus Ubuntu 12.04

I am trying to build GitLab from the Omnibus project in my Ubuntu 12.04 64-bit following this link After issuing sudo apt-get install ruby ruby-bundler I downloaded the source from here and after ...
1
vote
1answer
184 views

How to install build dependencies for source not available in Ubuntu repositories?

I keep myself busy compiling (makeing) several packages and some of them are not in the repositories (so apt-get build-dep doesn't help), the complete documentation about build dependencies is missing ...
1
vote
1answer
4k views

How do I fix “/bin/sh: 2: patch: not found” and “make: *** [lib/libcurl.a] Error 127” errors?

curl-loader is a traffic generator. You can generate HTTP, HTTPS, FTP etc. traffic with it. Add to that, you can simulate multiple clients (multiple source IP addresses). Here’s an explanation of ...
1
vote
1answer
2k views

Installing PCRE from source…make install error!

I was trying to install pcre as it was needed by swig which is needed for installing gem5, anyway I am receiving this error after successful ./configure and make (however it's interesting that ...
1
vote
1answer
2k views

How do I install qBittorrent from the tarball?

Source Tarball. I started with the instructions found in the "INSTALL" file found in the extracted tarball and after I typed ./configure after which I received the error: Configuring qbittorrent ... ...
1
vote
2answers
4k views

How can I install Celtx 2.9.7 properly on Ubuntu 12.04 LTS?

I am new to Ubuntu and Linux and I want to install and use the newest version of the screenwriting software Celtx on Ubuntu 12.04 LTS. After trying ...
1
vote
3answers
3k views

Need help installing plugin from source with make

I am running Ubuntu 12.04 x64 desktop DVD, and I have installed GIMP 2.6.12 from the Ubuntu Software Center. I need a plug-in for batch resizing of images, and found one. I downloaded the plug-in, ...
1
vote
1answer
396 views

How to solve huge number of errors on running ./configure on xvidcap downloaded from Sourceforge? [closed]

I downloaded "xvidcap" from sourceforge. When I run "./configure", i get a huge number of errors and warnings. How do I solve them? Here is what happens: usr@u:~/Desktop/xvidcap-1.1.7$ ./configure ...
1
vote
1answer
145 views

Integrating source-compiled package into ubuntu

For performance reasons, I compiled GSL with icc (intel C compiler). I ran ./configure with some flags, make, make check and sudo checkinstall. I had to remove libgsl0ldbl, which is used by a ...
1
vote
0answers
21 views

How do I install VMD on Ubuntu 15.04

I have been trying to install VMD (if it helps here's the installation guide in PDF format: http://www.ks.uiuc.edu/Research/vmd/current/ig.pdf) on my 32 bit 15.04 installation. I have extracted the ...
1
vote
1answer
204 views

How to install numpy, scipy, and other packages from source for Python3 in Ubuntu 14.04.2 LTS

I just recently installed Ubuntu 14.04.2 LTS alongside Windows-7 (64-bit). I wanted to install the latest versions of numpy, scipy, matplotlib, and other packages for Python3. I saw the we can use ...
1
vote
1answer
190 views

How to change DPI in Ubuntu GNOME 14.04?

What I would like to do is "Change DPI to 144 in Ubuntu GNOME 14.04". Because it's first time to me to use linux, I installed VMware Player in my laptop, and I installed Ubuntu GNOME 14.04. My laptop ...
1
vote
1answer
126 views

Building and using a lib without installing it? (e.g. libcurl)

I'd like to use libcurl (a lib that handles HTTP connections) by linking it statically to a program I am writing. I am new to building programs from their source, so I have no clue on how to do it ...
1
vote
0answers
242 views

Error 255 when installing openSSL from source

I need to build openssl from source because it's needed to build a mysql driver for android for Qt but when I do "make install" I get the following error: cms.pod around line 457: Expected text after ...
1
vote
1answer
439 views

What is the good way to remove SDK and other soft?

I have installed AMD-APP-SDK-v2.9 using install script: ./Install-AMD-APP.sh Everything is ok and here is the installation log: 1) Starting Installation of AMD APPSDK v2.9 .... 2) 64-bit Operating ...
1
vote
1answer
95 views

Error while running make to install drivers

Everytime I want to run make while installing a driver, I get these error messages : make[1]: ***[_module_/home/alaa/Downloads/rtl_92ce_92se_92de_8723ae_linux_mac80211_0006.0514.2012] Error 2 ...
1
vote
1answer
113 views

Trouble installing specific .tar.bz2

I've used Ubuntu for over a year now and I have never gotten the hang of tarballs. I have a .tar.bz2, I've extracted it but I can't figure out where to go from here. I tried running ./configure but I ...
1
vote
2answers
114 views

How to compile 'stygmorgan-0.29'?

I am trying to compile stygmorgan-0.29.tar.bz2 and got these messages: stygmorganui.cxx:7:28: fatal error: stygmicon128.xpm: No such file or directory compilation terminated. make[2]: *** ...
1
vote
0answers
209 views

I have a problem installing activestate python instead of the default. How can I fix it? Syntax error: “)” unexpected

I am getting this error when trying to run the ./install.sh for ActivePython. How can I correct this? cd /tmp wget ...
1
vote
1answer
731 views

Help with error: ‘struct sockaddr_storage’ has no member named ‘s_addr’ [closed]

I just installed Ubuntu 12.10 on my new machine, and I'm trying to install Ushare from the source from the website. I would just install it through the terminal using 'sudo apt-get install ushare' but ...
1
vote
1answer
2k views

Building LMMS: “Configuring incomplete, errors occurred!”

I tried to build Linux MultiMedia studio from the source of the SourceForge git:// repository under Ubuntu 12.04 LTS 32b: git clone git://lmms.git.sourceforge.net/gitroot/lmms/lmms cd lmms git ...
1
vote
1answer
66 views

installing program file

I am trying to install openssn on Ubuntu 12.04. I have extracted the file, and when I type cd openssn then sudo make in a terminal I get this: main.cpp:32:17: fatal error: SDL.h: No such file or ...
1
vote
1answer
777 views

How do I install UControl

How do I install UControl from http://www.negusoft.com/index.php/ucontrol-downloads It comes in a tar.gz. I unpacked it and tried fallowing the readme but am getting nowhere. What are the steps to ...
1
vote
0answers
184 views

Liferea dev build with indicator-applet? [closed]

Stable Liferea 1.6.4 provided by Ubuntu packaging system is build with indicator-applet (just like there is mail indicator, IM indicator etc). It's easy for evoking and it displays unread feeds ...
1
vote
2answers
3k views

FGLRX does not have /usr/lib/libGL.so lib

I am trying to compile some OpenGL apps from sources but there is no /usr/lib/libGL.so, or /usr/lib/libGL.so.1 or even /usr/lib/libGL.so.1.2. However fglrxinfo says: display: :0.0 screen: 0 ...
0
votes
3answers
16k views

Is it possible to install Ubuntu through network?

I would like to install Ubuntu for almost 120 users. But it's very difficult in using USB and drives. please suggest ....
0
votes
1answer
2k views

cannot find lcblas ubuntu 12.10

I was trying to use the make file of a program and I hit the following error: /usr/bin/ld: cannot find -lcblas I tried the solution from https://bugs.launchpad.net/ubuntu/+source/atlas/+bug/769180 ...
0
votes
1answer
501 views

How to find dependencies of php

I need to install LAMP in my home directory. I wish to install from source. It is so difficult to find out dependency of PHP manually, so, is there any easy way to do it. I hope build-depends will ...
0
votes
1answer
69 views

tesseract-ocr `./configure` triggering Error “leptonica not found”

I was trying to install tesseract-ocr using these commands: auto-apt run ./configure make checkinstall Auto-apt and apt-file are installed on my Ubuntu 14.04 and up to date. However, during the ...
0
votes
1answer
4k views

“make install” errors

I am trying to install vmd on my ubuntu but " make install" is giving these errors. Can someone help? These are the errors. Thanks for the helps. if [ ! -d "/usr/local/lib/vmd" ]; then \ ...
0
votes
4answers
4k views

Installing driver for Atheros AR8131

I am having the same trouble as others getting my Atheros AR8131 Ethernet card recognised by Ubuntu 12.10 on my new HP Pavillion P7-1449 PC. I found the same question where the answer suggested the ...
0
votes
3answers
220 views

What procedure should I take to update a specific application?

I installed nmap from the Software Center and their version is 5.21. After this, I downloaded the latest version that is 6.01 but I haven't installed it yet. What I should do and why? Uninstall the ...
0
votes
2answers
473 views

Advantages/Disadvantages of installing from source code [duplicate]

Possible Duplicate: Is it better to compile from source or to install from a .deb package? I've just installed conky from a source code, the advantage that I see is that I have the newest ...
0
votes
1answer
225 views

Can we add back track tools to 12.04?

If possible, then how can I add the tools available under Back Track Linux to my Ubuntu 12.04 distribution. I prefer their functionality from the terminal.
0
votes
1answer
235 views

How to I compile uget from source?

I've downloaded uget from its source fourge link. It is a tar.gz file. I have read that i could install a file of this type by extracting its contents and following these steps. ./configure make ...
0
votes
1answer
1k views

How to install Own Cube on 12.04

Ok I wanted to install OwnCube (www.owncube.com) on my Ubuntu 32 bit 12.04 desktop. I still have plenty of Ubuntu One space but 5GB for free, I could keep my music there since it streams for free. But ...
0
votes
1answer
49 views

OCSP Responder (openca-ocspd) won't make

OCSP Responder is giving me a lot of grief. I've tried installing it from OpenCA, but it encounters an error at make. configure goes fine, and when I do make, it ends like this: Making all in docs ...
0
votes
1answer
331 views

How do I install torbrowser 4.0.3 in Ubuntu 14.10 using tar command?

When I enter the command: tar -xvJf tor-browser-linux32-4.0.3_LANG.tar.xz It gives me this error: tar (child): tor-browser-linux32-4.0.3_LANG.tar.xz: Cannot open: No such file or directory tar ...
0
votes
1answer
115 views

Replace prebuilt package with self-compiled version

I need to update my Point Cloud Library (PCL) that I installed via official instructions with my own version that I just compiled according to this manual. The reason is I need to fix a bug in PCL ...
0
votes
1answer
3k views

config.status: error: cannot find input file: `Makefile.in'

I'm trying to install mod_WSGI on Ubuntu 12.04. Here is the set of commands that I'm following: wget http://modwsgi.googlecode.com/files/mod_wsgi-3.4.tar.gz tar xvfz mod_wsgi-3.4.tar.gz cd ...
0
votes
1answer
202 views

Which is exact method to install from source?

I have run (gradually) following command to install gdebi from source: apt-get build-dep gdebi apt-get source gdebi cd gdebi-0.9.5.3 dpkg-buildpackage -uc -us -b Which gives me error (posted last ...
0
votes
1answer
99 views

GraphicsMagick not listed in installed packages after install from source

I've installed GraphicsMagick following the instructions on the website, and ran the build verifications it says, and though I'm not sure if those were to verify that install was successful or not, ...
0
votes
1answer
845 views

problem with the installation of wireshark ubuntu “make” failed

I need to install Wireshark but it seems to have some problems when I type sudo make command. Here is what I get: dell@ubuntu:~/wireshark$ make LANG=C /usr/bin/perl ./make-version.pl . Version ...
0
votes
1answer
147 views

Shell not recognised by configuration scripts

When I try to compile different packages from source (e.g., ipsec-tools, openvpn, etc.) I obtain always the same error from the configuration script: $ ./configure ./configure: This script requires ...
0
votes
1answer
449 views

How to build libHaru and the examples which are included

I downloaded libHaru from http://libharu.org/. libHaru is a opensource pdf creator. Now in the INSTALL file says I only have to run ./configure && make && make install. When I run this ...
0
votes
1answer
485 views

Getting configure command of php

I am using an ubutnu OS, I have installed LAMP stack using "tasksel", I am not able to find the "Configure Command" while I am going through phpinfo. But , in the same OS I am able to see the ...
0
votes
1answer
240 views

How to install a Virgo FTP on ubuntu 12.10 on Session fallback desktop

I am using Ubuntu 12.10 with session fallback desktop and really very much confused about how to install a software on Ubuntu. Please clarify few issue. I want to install virgoFTP . I download it from ...
0
votes
1answer
3k views

Installing swagger-ui

I'd like to use Swagger, the api-documentation tool on my Ubuntu 12.04 system. On a Windows machine I just open the index.html file with Firefox and put in the address that I want the swagger-ui to ...
0
votes
1answer
3k views

“dpkg -i mysql-5.5.25-ubuntu10.04-x86_64.deb” not installing anything?

I has been logged in as root I want to install MySQL 5.5 in Ubuntu 10.04. When browsing tar.gz for source installing, I found DEB release mysql-5.5.25-ubuntu10.04-x86_64.deb in this page for Ubuntu. ...
0
votes
1answer
276 views

How do I build Terminator?

I don't have admin privilege on this Ubuntu machine, and I don't see a way to build Terminator. I found the tar.gz which contains setup.py but that is not what I want. Can someone please guide me? ...